:root/* refers to HTML element */
{
    --color-primary: #5ec576;
    --color-primary-darker: #4bbb7d;
    --color-primary-opacity: #5ec5763a;
    --color-secondary: #ffcb03;
    --color-secondary-darker: #ffbb00;
    --color-secondary-opacity: #ffcd0331;
    --color-tertiary: #ff585f;
    --color-tertiary-darker: #fd424b;
    --color-tertiary-opacity: #ff58602d;
    --gradient-primary: linear-gradient(to top left, #39b385, #9be15d);
    --gradient-secondary: linear-gradient(to top left, #ffb003, #ffcb03);
}

*{
    margin: 0;
    padding: 0;
    box-sizing: inherit;
}
html
{
    font-size: 62.5%;
    box-sizing: border-box;
}
body
{
    font-family: 'Poppins', sans-serif;
    font-weight: 300;
    color: #444;
    line-height: 1.9;
    background-color: #f3f3f3;
}

/* NAVIGATION */
.nav
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 6rem;
    height: 9rem;
    z-index: 100;
    width: 100%;
}
.nav__logo
{
    height: 4.5rem;
    transition: all 0.3s;
}
.nav__links
{
    display: flex;
    list-style: none;
    align-items: center;
}
.nav__link:link, .nav__link:visited
{
    font-size: 1.7rem;
    font-weight: 400;
    color: inherit;
    text-decoration: none;
    display: block;
    transition: all 0.3s;
}
.nav__item
{
    margin-left: 4rem;
}
.nav__link--btn:link, .nav__link--btn:visited
{
    background-color: var(--color-primary);
    border-radius: 3rem;
    padding: 0.8rem 2.5rem;
    color: #222;
}
.nav__link--btn:hover, .nav__link--btn:active
{
    background-color: var(--color-primary-darker);
    color: #333;                
}
#myBtn 
{
    position: fixed;
    bottom: 60px;
    right: 50px;
    z-index: 99;
    font-size: 40px;
    border: none;
    outline: none;
    background-color: none;
    color: black;
    cursor: pointer;
    padding: 30px 5px;
    border-radius: 4px;
}
#myBtn:hover 
{
    background-color: var(--color-primary-opacity);
}

/* HEADER */
.header
{
    height: 100vh;
    padding: 0 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.header__title
{
    display: grid;
    grid-template-columns: 3fr 2fr;
    row-gap: 3rem;
    flex: 1;/* sets the flexible length */
    max-width: 115rem;
    align-content: center;
    justify-content: center;
    align-items: start;
    justify-items: start;
}
.header__img
{
    width: 100%;
    grid-column: 2 / 3;
    grid-row: 1 / span 4;
    transform: translateY(-6rem);
}
h1
{
    font-size: 5.5rem;
    line-height: 1.35;
}
h4
{
    font-size: 2.4rem;
    font-weight: 500;
}
.highlight
{
    position: relative;
}
.highlight::after
{
    display: block;
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: -1;
    opacity: 0.7;
    transform: scale(1.07, 1.05) skewX(-15deg);
    background-image: var(--gradient-primary);
}

/* GENERAL ELEMENTS */
.btn--text
{
    background: none;
    outline: none;
    border: none;
    border-bottom: 1px solid currentColor;
    font-size: 1.7rem;
    font-family: inherit;
    color: var(--color-primary);
    font-weight: 500;
    padding-bottom: 2px;
    cursor: pointer;
    transition: all 0.3s;
    display: inline-block;
}
p 
{
    color: #666;
}
button:focus
{
    outline: none;
}
img
{
    transition: filter 0.5s;
}
.lazy-img
{
    filter: blur(10px);
}
.section
{
    border-top: 1px solid #ddd;
    padding: 15rem 3rem;
    transition: transform 1s, opacity 1s;
}
.section__title
{
    margin: 0 auto 8rem auto;
    max-width: 80rem;
}
.section__description
{
    font-size: 1.8rem;
    font-weight: 600; 
    text-transform: uppercase;
    margin-bottom: 1rem; 
    color: var(--color-primary);
}
.section__header
{
    font-size: 4rem;
    font-weight: 500;
    line-height: 1.3;
}
.btn
{
    cursor: pointer;
    border: none;
    border-radius: 10rem;
    padding: 1.25rem 4.5rem;
    background-color: var(--color-primary);
    font-size: 1.6rem;
    font-family: inherit;
    font-weight: 500;
    display: inline-block;
    transition: all 0.3s;
}
.btn:hover
{
    background-color: var(--color-primary-darker);
}

/* FEATURES */
.features
{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 4rem;
    margin: 0 12rem;
}
.features__icon
{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-primary-opacity);
    height: 5.5rem;
    width: 5.5rem;
    border-radius: 50%;
    margin-bottom: 2rem;
}
.features__icon svg
{
    height: 2.5rem;
    width: 2.5rem;
    fill: var(--color-primary);
}
.features__img
{
    width: 100%;
}
.features__feature
{
    align-self: center;
    justify-self: center;
    width: 70%;
    font-size: 1.5rem;
}
.features__header
{
    font-size: 2rem;
    margin-bottom: 1rem;
}

/* OPERATIONS */
.operations
{
    background-color: #fff;
    margin: 12rem auto 0 auto;
    max-width: 100rem;
}
.operations__tab-container
{
    display: flex;
    justify-content: center;
}
.operations__tab
{
    transform: translateY(-50%);
    margin-right: 2.5rem;
}
.operations__tab span
{
    font-weight: 600;
    display: inline-block;
    margin-right: 1rem;
}
.operations__tab--1
{
    background-color: var(--color-secondary);
}
.operations__tab--1:hover
{
    background-color: var(--color-secondary-darker);
}
.operations__tab--3
{
    background-color: var(--color-tertiary);
    margin: 0;
}
.operations__tab--3:hover
{
    background-color: var(--color-tertiary-darker);
}
.operations__tab--active
{
    transform: translateY(-66%);
}
.operations__content 
{
    display: none;
    font-size: 1.7rem;
    padding: 2.5rem 7rem 6.5rem 7rem;
}
.operations__content p
{
    grid-column: 2;
}
.operations__content--active
{
    display: grid;
    grid-template-columns: 7rem 1fr;
    column-gap: 3rem;
    row-gap: 0.5rem;
}
.operations__icon
{
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 7rem;
    width: 7rem;
}
.operations__icon svg
{
    height: 2.75rem;
    width: 2.75rem;
}
.operations__icon--1 
{
    background-color: var(--color-secondary-opacity);
}
.operations__icon--2 
{
    background-color: var(--color-primary-opacity);
}
.operations__icon--3 
{
    background-color: var(--color-tertiary-opacity);
}
.operations__icon--1 svg 
{
    fill: var(--color-secondary-darker);
}
.operations__icon--2 svg 
{
    fill: var(--color-primary);
}
.operations__icon--3 svg 
{
    fill: var(--color-tertiary);
}
.operations__header
{
    font-size: 2.25rem;
    font-weight: 500;
    align-self: center;
}

/* SLIDER */
.slider
{
    max-width: 100rem;
    height: 50rem;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
}
.slide
{
    position: absolute;
    top: 0;
    width: 100%;
    height: 50rem;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 1s;
}

/* only for images that have different size than slide */
.slide > img
{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.slider__btn
{
    border: none;
    background: rgba(255, 255, 255, 0.7);
    color: #333;
    border-radius: 50%;
    cursor: pointer;
    /* set size of button */
    height: 5.5rem;
    width: 5.5rem;
    font-size: 3.25rem; /* size of arrow */
    position: absolute;
    top: 50%; 
    font-family: inherit;
    z-index: 10;
}
.slider__btn--left
{
    left: 6%;
    transform: translate(-50%, -50%);
}
.slider__btn--right
{
    right: 6%;
    transform: translate(50%, -50%);
}

/* TESTIMONIALS */
.section__title--testimonials
{
    margin-bottom: 4rem;
}
.testimonial
{
    width: 65%;
    position: relative;
}
.testimonial::before
{
    content: '\201C';
    position: absolute;
    top: -5.7rem;
    left: -6.8rem;
    line-height: 1;
    font-size: 20rem;
    font-family: inherit;
    color: var(--color-primary);
    z-index: -1;
}
.testimonial__header
{
    font-size: 2.25rem;
    font-weight: 500;
    margin-bottom: 1.5rem;
}
.testimonial__text
{
    font-size: 1.7rem;
    margin-bottom: 3.5rem;
    color: #666;
}
.testimonial__author
{
    display: grid;
    grid-template-columns: 6.5rem 1fr;
    column-gap: 2rem;
    margin-left: 3rem;
    font-style: normal;
}
.testimonial__photo
{
    grid-row: 1 / span 2;
    width: 6.5rem;
    border-radius: 50%;
}
.testimonial__name
{
    font-size: 1.7rem;
    font-weight: 500;
    align-self: end;
    margin: 0;
}
.testimonial__location
{
    font-size: 1.5rem;
}

/* SIGNUP */
.section--sign-up
{
    background-color: #37383d;
    border-top: none;
    text-align: center;
    border-bottom: 1px solid #444;
    padding: 10rem 3rem;
}
.section--sign-up .section__header
{
    color: #fff;
    text-align: center;
}
.section--sign-up .section__title
{
    margin-bottom: 6rem;
}
.section--sign-up .btn
{
    font-size: 1.9rem;
    padding: 2rem 5rem;
}

/* FOOTER */
.footer
{
    background-color: #37383d;
    padding: 10rem 3rem;
}
.footer__nav
{
    display: flex;
    justify-content: center;
    list-style: none;
    margin-bottom: 5rem;
}
.footer__item
{
    margin-right: 4rem;
}
.footer__link
{
    color: #eee;
    text-decoration: none;
    font-size: 1.6rem;
}
.footer__logo
{
    height: 5rem;
    margin: 0 auto;
    margin-bottom: 5rem;
    display: block;
}
.footer__copyright
{
    text-align: center;
    color: #aaa;
    font-size: 1.4rem;
}
.footer__copyright .footer__link
{
    font-size: 1.4rem;
}

/* MODAL WINDOW */
.modal
{
    top: 50%;
    left: 50%;
    background-color: #f3f3f3;
    position: fixed; /* div dosen't move on page scroll */
    padding: 5rem 6rem;
    transform: translate(-50%, -50%);
    max-width: 60rem;
    z-index: 1000;
    transition: all 0.5s;
    box-shadow: 0 4rem 6rem rgba(0, 0, 0, 0.3);
}
.btn--close-modal
{
    top: 0.5rem;
    right: 2rem;
    position: absolute;
    background: none;
    border: none;
    font-size: 4rem;
    cursor: pointer;
    font-family: inherit;
    color: inherit;
}
.modal__header
{
    font-size: 3.25rem;
    margin-bottom: 4.5rem;
    line-height: 1.5;
}
.modal__form
{
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 2.5rem;
    align-items: center;
    margin: 0 3rem;
}
.modal__form label
{
    font-size: 1.7rem;
    font-weight: 500;
}
.modal__form input
{
    font-size: 1.7rem;
    border: 1px solid #ddd;
    padding: 1rem 1.5rem;
    border-radius: 0.5rem;
}
.modal__form button
{
    grid-column: 1 / span 2;
    justify-self: center;
    margin-top: 1rem;
}
.overlay
{
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(4px);
    z-index: 100;
    transition: all 0.5s;
}
.hidden
{
    visibility: hidden;
    opacity: 0;
}

/* STICKY NAV */
.sticky
{
    position: fixed;
    background-color: rgba(255, 255, 255, 0.9);
}
.nav.sticky 
{
    position: fixed;
    background-color: rgba(255, 255, 255, 0.95);
}
.section--hidden 
{
    opacity: 0;
    transform: translateY(8rem);
}

/* DOTS */
.dots 
{
    position: absolute;
    bottom: 5%;
    left: 50%;
    display: flex;
}
.dots__dot
{
    border: none;
    background-color: #b9b9b9;
    opacity: 0.7;
    height: 1rem;
    width: 1rem;
    border-radius: 50%;
    margin-right: 1.75rem;
    cursor: pointer;
    transition: all 0.5s;
}
.dots__dot:last-child 
{
    margin: 0;
}
.dots__dot--active 
{
    background-color: #888;
    opacity: 1;
}